@import models.authentication._
@()(implicit request: Request[_])

@navigation_element(url: String, label: String) = {
    <span class="navbar-brand">
        @if(request.path.equals(url)) {
        @label
        } else {
        <a href="@url">@label</a>
        }
    </span>
}

<div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    @navigation_element("/", "Liste des enregistrements")
    @if(request.session.get("username").isDefined && RightsHelper.getUserRights(request.session.get("username").get) == Some(AdminRight())) {
        @navigation_element("/disks", "Gestion des disques")
        @navigation_element("/recording_control", "Contrôle d'enregistrement")
    }
    <div class="navbar-collapse collapse">
        <div class="nav navbar-nav navbar-right">
            <p class="navbar-text"><a class="text-right" href="/logout"><span class="glyphicon glyphicon-off"></span></a></p>
            <p class="navbar-text"></p>
        </div>
    </div>
</div>